{% load i18n %}
{% load render_table from django_tables2 %}

{% block content %}

  <div class="panel-group" id="accordion">
    <div class="panel panel-default">
      <div class="panel-heading">
        <div class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion" href="#collapse1">
            <span class="badge">1</span> <strong>{% trans "Modelo" %}</strong>
          </a>
        </div>
      </div>
      <div id="collapse1" class="panel-collapse collapse in">
        <div class="panel-body">
          {% if sum_step1 %}
          <span>{{ sum_step1.model }} ({{ sum_step1.run_type }})</span>
          {% endif %}
        </div>
      </div>
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <div class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion" href="#collapse2">
            <span class="badge">2</span> <strong>{% trans "Domínio" %}</strong>
          </a>
        </div>
      </div>
      <div id="collapse2" class="panel-collapse collapse">
        <div class="panel-body">
          {% if grid_info %}
          {% render_table grid_info %}
          {% endif %}
          {% include "wizard/map.html" %}

          {% if grid_info.rows.0.record.epsg != 4326 %}
          {% if deploy_id %}
          <a class="btn btn-default marbottom" target="_blank" href="{% url 'front:get_file' deploy_id=deploy_id name='hgrid' action='open' format='gr3' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Ver" %} hgrid.gr3</a>
          <a class="btn btn-default marbottom" href="{% url 'front:get_file' deploy_id=deploy_id name='hgrid' action='download' format='gr3' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} hgrid.gr3</a>
          <a class="btn btn-default marbottom" href="{% url 'front:get_file' deploy_id=deploy_id name='hgrid' action='download' format='ll' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} hgrid.ll</a>
          {% if "3d" in run_type %}
          <br/>
          <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=deploy_id name='vgrid' action='open' format='in' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} vgrid.ll</a>
          <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=deploy_id name='vgrid' action='download' format='in' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} vgrid.ll</a>
          {% endif %}
          {% else %}
          {% if request.session.deploy_id %}
          <a class="btn btn-default marbottom" target="_blank" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 name='hgrid' action='open' format='gr3' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} hgrid.gr3</a>
          <a class="btn btn-default marbottom" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 name='hgrid' action='download' format='gr3' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} hgrid.gr3</a>
          <a class="btn btn-default marbottom" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 name='hgrid' action='download' format='ll' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} hgrid.ll</a>
          {% if "3d" in run_type %}
          <br/>
          <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 name='vgrid' action='open' format='in' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} vgrid.ll</a>
          <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 name='vgrid' action='download' format='in' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} vgrid.ll</a>
          {% endif %}
          {% else %}
          <a class="btn btn-default marbottom" target="_blank" href="{% url 'front:get_file' deploy_id=0 name='hgrid' action='open' format='gr3' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} hgrid.gr3</a>
          <a class="btn btn-default marbottom" href="{% url 'front:get_file' deploy_id=0 name='hgrid' action='download' format='gr3' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} hgrid.gr3</a>
          <a class="btn btn-default marbottom" href="{% url 'front:get_file' deploy_id=0 name='hgrid' action='download' format='ll' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} hgrid.ll</a>
          {% if "3d" in run_type %}
          <br/>
          <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=0 name='vgrid' action='open' format='in' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} vgrid.ll</a>
          <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=0 name='vgrid' action='download' format='in' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} vgrid.ll</a>
          {% endif %}
          {% endif %}
          {% endif %}
          {% else %}
          {% if deploy_id %}
          <a class="btn btn-default marbottom" target="_blank" href="{% url 'front:get_file' deploy_id=deploy_id name='hgrid' action='open' format='ll' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Ver" %} hgrid.ll</a>
          <a class="btn btn-default marbottom" href="{% url 'front:get_file' deploy_id=deploy_id name='hgrid' action='download' format='ll' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} hgrid.ll</a>
          {% if "3d" in run_type %}
          <br/>
          <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=deploy_id name='vgrid' action='open' format='in' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} vgrid.ll</a>
          <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=deploy_id name='vgrid' action='download' format='in' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} vgrid.ll</a>
          {% endif %}
          {% else %}
          {% if request.session.deploy_id %}
          <a class="btn btn-default marbottom" target="_blank" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 name='hgrid' action='open' format='ll' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} hgrid.ll</a>
          <a class="btn btn-default marbottom" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 name='hgrid' action='download' format='ll' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} hgrid.ll</a>
          {% if "3d" in run_type %}
          <br/>
          <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 name='vgrid' action='open' format='in' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} vgrid.ll</a>
          <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 name='vgrid' action='download' format='in' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} vgrid.ll</a>
          {% endif %}
          {% else %}
          <a class="btn btn-default marbottom" target="_blank" href="{% url 'front:get_file' deploy_id=0 name='hgrid' action='open' format='ll' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} hgrid.ll</a>
          <a class="btn btn-default marbottom" href="{% url 'front:get_file' deploy_id=0 name='hgrid' action='download' format='ll' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} hgrid.ll</a>
          {% if "3d" in run_type %}
          <br/>
          <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=0 name='vgrid' action='open' format='in' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} vgrid.ll</a>
          <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=0 name='vgrid' action='download' format='in' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} vgrid.ll</a>
          {% endif %}
          {% endif %}
          {% endif %}
          {% endif %}
        </div>
      </div>
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <div class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion" href="#collapse3">
            <span class="badge">3</span> <strong>{% trans "Fronteiras" %}</strong>
          </a>
        </div>
      </div>
      <div id="collapse3" class="panel-collapse collapse">
        <div class="panel-body">
            {% if sum_step3 %}
            {% if sum_step3.0 %}
            {% render_table sum_step3.0 %}
            <hr/>
            {% endif %}
            {% if sum_step3.1 %}
            <p style="margin-left: 8px; margin-top: 8px; margin-bottom: 0px;"><strong>{% trans "Forçamento Atmosférico" %}:</strong> {{ sum_step3.1 }}</p>
            {% endif %}
            {% endif %}
        </div>
      </div>
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <div class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion" href="#collapse4">
            <span class="badge">4</span> <strong>{% trans "Estações" %}</strong>
          </a>
        </div>
      </div>
      <div id="collapse4" class="panel-collapse collapse">
        <div class="panel-body">
          {% if sum_step4 %}
          {% render_table sum_step4 %}
          {% endif %}
        </div>
      </div>
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <div class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion" href="#collapse5">
            <span class="badge">5</span> <strong>{% trans "Parâmetros" %}</strong>
          </a>
        </div>
      </div>
      <div id="collapse5" class="panel-collapse collapse">
        <div class="panel-body">
          {% if "waves" in run_type %}
          <ul class="nav nav-pills nav-justified">
            <li class="active">
                <a href="#flux" role="tab" data-toggle="tab">{% trans "Circulação" %} (param.in)</a>
            </li>
            <li>
                <a href="#waves" role="tab" data-toggle="tab">{% trans "Ondas" %} (wwminput.nml)</a>
            </li>
          </ul>
          <div id="tabs" class="tab-content">
            <div id="flux" class="tab-pane active form">
          {% endif %}
          <div class="form">
            <ul>
              <li>
                <label for="id_parchoice_0">
                  <input name="parchoice" value="D" class="cstdisabled" {% if sum_step5.0 == 'D' %}checked=""{% endif %} id="id_parchoice_0" type="radio" disabled="" />
                  {% trans "Parâmetros predefinidos" %}
                </label>
              </li>
              <li>
                <label for="id_parchoice_1">
                  <input name="parchoice" value="C" class="cstdisabled" {% if sum_step5.0 == 'C' %}checked=""{% endif %} id="id_parchoice_1" type="radio" disabled="" />
                  {% trans "Parâmetros customizados" %}
                </label>
              </li>
              {% if sum_step5.0 == 'U' %}
              <li>
                <label for="id_parchoice_2">
                  <input name="parchoice" value="U" class="cstdisabled" checked="" id="id_parchoice_2" type="radio" disabled="" />
                  {% trans "Ficheiro" %}
                </label>
              </li>
              {% endif %}
            </ul>
          </div>
          <hr/>

          {% render_table sum_step5.1 %}
          <p class="small" style="margin: 8px 0 10px 8px;">{% trans "* Parâmetros customizados pelas seleções do utilizador durante todo o processo de configuração" %}</p>
          <hr/>

          {% if deploy_id %}
          <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=deploy_id action='open' name='param' format='in' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Ver" %} param.in</a>
          <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=deploy_id action='download' name='param' format='in' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} param.in</a>
          {% else %}
          {% if request.session.deploy_id %}
          <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 action='open' name='param' format='in' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} param.in</a>
          <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 action='download' name='param' format='in' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} param.in</a>
          {% else %}
          <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=0 action='open' name='param' format='in' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} param.in</a>
          <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=0 action='download' name='param' format='in' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} param.in</a>
          {% endif %}
          {% endif %}

          {% if "waves" in run_type %}
            </div>
            <div id="waves" class="tab-pane">
                <div class="form">
                  <ul>
                    <li>
                      <label for="id_wwmchoice_0">
                        <input name="wwmchoice" value="D" class="cstdisabled" {% if sum_step5.2 == 'D' %}checked=""{% endif %} id="id_wwmchoice_0" type="radio" disabled="" />
                        {% trans "Parâmetros predefinidos" %}
                      </label>
                    </li>
                    <li>
                      <label for="id_wwmchoice_1">
                        <input name="wwmchoice" value="C" class="cstdisabled" {% if sum_step5.2 == 'C' %}checked=""{% endif %} id="id_wwmchoice_1" type="radio" disabled="" />
                        {% trans "Parâmetros customizados" %}
                      </label>
                    </li>
                    {% if sum_step5.2 == 'U' %}
                    <li>
                      <label for="id_wwmchoice_2">
                        <input name="wwmchoice" value="U" class="cstdisabled" checked="" id="id_wwmchoice_2" type="radio" disabled="" />
                        {% trans "Ficheiro" %}
                      </label>
                    </li>
                    {% endif %}
                  </ul>
                </div>
                <hr/>

                {% render_table sum_step5.3 %}
                <p class="small" style="margin: 8px 0 10px 8px;">{% trans "* Parâmetros customizados pelas seleções do utilizador durante todo o processo de configuração" %}</p>
                <hr/>

                {% if deploy_id %}
                <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=deploy_id action='open' name='wwminput' format='nml' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Ver" %} wwminput.nml</a>
                <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=deploy_id action='download' name='wwminput' format='nml' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} wwminput.nml</a>
                {% else %}
                {% if request.session.deploy_id %}
                <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 action='open' name='wwminput' format='nml' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} wwminput.nml</a>
                <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=request.session.deploy_id.0 action='download' name='wwminput' format='nml' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} wwminput.nml</a>
                {% else %}
                <a class="btn btn-default" target="_blank" href="{% url 'front:get_file' deploy_id=0 action='open' name='wwminput' format='nml' %}" title="{% trans 'Abrir numa nova janela' %}"><span class="glyphicon glyphicon-eye-open"></span> {% trans "Abrir" %} wwminput.nml</a>
                <a class="btn btn-default" href="{% url 'front:get_file' deploy_id=0 action='download' name='wwminput' format='nml' %}"><span class="glyphicon glyphicon-download"></span> {% trans "Descarregar" %} wwminput.nml</a>
                {% endif %}
                {% endif %}
              </div>
          </div>
          {% endif %}
        </div>
      </div>
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <div class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion" href="#collapse6">
            <span class="badge">6</span> <strong>{% trans "Dados adicionais" %}</strong>
          </a>
        </div>
      </div>
      <div id="collapse6" class="panel-collapse collapse">
        <div class="panel-body">
          {% if sum_step6 %}
          {% render_table sum_step6 %}
          {% endif %}
        </div>
      </div>
    </div>
  </div>

  <script type="text/javascript">
    var map_resized = false;
    // On expanding map inside accordion - need to invalidate map's size (leaflet issue on render)
    $('.panel').on('shown.bs.collapse', function (e) {
        if (e.target.id == 'collapse2' && !map_resized) {
            var resize = map.invalidateSize(false);
            setTimeout(function () { if (boundariesLayer !== null) map.fitBounds(boundariesLayer.getBounds(), {'padding': [50,50]}); }, 500);
            map_resized = true; // resize only once
        }
    });

    // Dismiss focus on accordion panel toggle
    $('#accordion a').on('click', function () {
        $(this).blur();
    });
  </script>

{% endblock content %}